<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDocumentFileSharesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('document_file_shares', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('document_file_id');
            $table->foreign('document_file_id')
                ->references('id')->on('document_files')
                ->onDelete('cascade');

            $table->string('shared_with')
                ->index()
                ->comment('Shared with like user/role/todo');
            
            $table->integer('shared_id')
                ->index()
                ->comment('Id of shared with like user_id/role_id/todo_id');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('document_file_shares');
    }
}
