<?php

namespace Modules\Document\Entities;

use Illuminate\Database\Eloquent\Model;

class Document extends Model
{
    /**
     * The attributes that aren't mass assignable.
     *
     * @var array
     */
    protected $guarded = ['id'];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'document_data' => 'array',
    ];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'document_files';

    /**
     * user who created a sheet.
     */
    public function createdBy()
    {
        return $this->belongsTo('App\User', 'created_by');
    }

    public function shares()
    {
        return $this->hasMany(\Modules\Document\Entities\DocumentShare::class, 'document_file_id');
    }
}
