@extends('document::layouts.app')
@section('title', __('document::lang.view_document'))
@section('content')
<!-- Main content -->
<section class="content no-print">
    <div class="container-fluid">
    	<div class="row">
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                @php
                    $redirect = action('\Modules\Document\Http\Controllers\DocumentController@index');
                    if ($document->created_by != auth()->user()->id) {
                        $redirect = action('\Modules\Essentials\Http\Controllers\ToDoController@index');
                    }
                @endphp

                <a href="{{$redirect}}"
                    class="btn btn-warning btn-lg rounded-5">
                    <i class="fas fa-chevron-left"></i>
                    @lang('messages.go_back')
                </a>
            </div>
            @if($document->created_by == auth()->user()->id)
                <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                    <p>
                        <input class="font-17" type="file" id="import-excel-file" name="file_name" change="documentHandler"/> 
                    </p>
                </div>
            @endif
            @if(auth()->user()->can('superadmin') || auth()->user()->can('create.document'))
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
                {!! Form::open(['url' => action('\Modules\Document\Http\Controllers\DocumentController@update', $document->id), 'id' => 'document', 'method' => 'put']) !!}
                        <button type="submit" class="btn btn-primary btn-lg pull-right rounded-5">
                            <i class="fas fa-save"></i>
                            @lang('messages.update')
                        </button>
                    <input type="hidden" name="name" id="name" value="">
                    <input type="hidden" name="doc_data" id="document_doc_data" value="">
                  {!! Form::close() !!}

                  <button type="button" class="btn btn-primary btn-lg pull-right word-export rounded-5" style="margin-right: 5px;" href="javascript:void(0)">
                    <i class="fas fa-download"></i>
                        @lang('lang_v1.download')
                    </button>
            </div>
            @endif
    		<div class="col-xs-4 col-sm-4 col-md-4 col-lg-4">
    			<div class="input-group">
                    <span class="input-group-addon" data-tips="Document name"><i class="fas fa-edit"></i></span>
                    <input id="title" type="text" class="form-control" name="doc_data" value="{{$document->name ?? ''}}">
                </div>
    		</div>
            <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <script src="{{ asset('modules/document/js/ueditor/ueditor.config.js') }}"></script>
                <script src="{{ asset('modules/document/js/ueditor/ueditor.all.min.js') }}"></script>
                <script src="{{ asset('modules/document/js/ueditor/lang/en/en.js') }}"></script>

                <script id="editor" type="text/plain" style="width:100%;height:100vh;"></script>
            </div>
    	</div>
        <button onclick="setContent()" id="modal" style="display: none;"></button>
    </div>
</section>
@stop
@section('javascript')
<script src="{{ asset('modules/document/js/ueditor/jquery-3.6.3.js') }}"></script>
<script src="{{ asset('modules/document/js/ueditor/jquery-3.6.3.min.js') }}"></script>
<script src="{{ asset('modules/document/js/ueditor/FileSaver.js') }}"></script>
<script src="{{ asset('modules/document/js/ueditor/jquery.wordexport.js') }}"></script>
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("button.word-export").click(function(event) {
        $(UE.getEditor('editor').getContent()).wordExport();
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function(){
 $('#modal').click(function(){
        //alert('button clicked');
    });
  // set time out 2 sec
     setTimeout(function(){
        $('#modal').trigger('click');
    }, 2000);
});
</script>
<script type="text/javascript">
$("form#document").on('submit', function () {
        var title = $("#title").val();
        $("input#name").val(title);
    });
    $("form#document").on('submit', function () {
        $("input#document_doc_data").val(UE.getEditor('editor').getContent());
    });
</script>

<script type="text/javascript">

    UE.getEditor('editor');


    function isFocus(e){
        alert(UE.getEditor('editor').isFocus());
        UE.dom.domUtils.preventDefault(e)
    }
    function setblur(e){
        UE.getEditor('editor').blur();
        UE.dom.domUtils.preventDefault(e)
    }
    function insertHtml() {
        var value = prompt('插入html代码', '');
        UE.getEditor('editor').execCommand('insertHtml', value)
    }
    function createEditor() {
        enableBtn();
        UE.getEditor('editor');
    }
    function getAllHtml() {
        alert(UE.getEditor('editor').getAllHtml())
    }
    function getPlainTxt() {
        var arr = [];
        arr.push("使用editor.getPlainTxt()方法可以获得编辑器的带格式的纯文本内容");
        arr.push("内容为：");
        arr.push(UE.getEditor('editor').getPlainTxt());
        alert(arr.join('\n'))
    }
    function setContent(isAppendTo) {
        UE.getEditor('editor').setContent('{!!$document->doc_data!!}', isAppendTo);
    }
    function setDisabled() {
        UE.getEditor('editor').setDisabled('fullscreen');
        disableBtn("enable");
    }

    function setEnabled() {
        UE.getEditor('editor').setEnabled();
        enableBtn();
    }

    function getText() {
        var range = UE.getEditor('editor').selection.getRange();
        range.select();
        var txt = UE.getEditor('editor').selection.getText();
        alert(txt)
    }

    function getContentTxt() {
        var arr = [];
        arr.push("使用editor.getContentTxt()方法可以获得编辑器的纯文本内容");
        arr.push("编辑器的纯文本内容为：");
        arr.push(UE.getEditor('editor').getContentTxt());
        alert(arr.join("\n"));
    }
    function hasContent() {
        var arr = [];
        arr.push("使用editor.hasContents()方法判断编辑器里是否有内容");
        arr.push("判断结果为：");
        arr.push(UE.getEditor('editor').hasContents());
        alert(arr.join("\n"));
    }
    function setFocus() {
        UE.getEditor('editor').focus();
    }
    function deleteEditor() {
        disableBtn();
        UE.getEditor('editor').destroy();
    }
    function disableBtn(str) {
        var div = document.getElementById('btns');
        var btns = domUtils.getElementsByTagName(div, "button");
        for (var i = 0, btn; btn = btns[i++];) {
            if (btn.id == str) {
                domUtils.removeAttributes(btn, ["disabled"]);
            } else {
                btn.setAttribute("disabled", "true");
            }
        }
    }
    function enableBtn() {
        var div = document.getElementById('btns');
        var btns = domUtils.getElementsByTagName(div, "button");
        for (var i = 0, btn; btn = btns[i++];) {
            domUtils.removeAttributes(btn, ["disabled"]);
        }
    }

    function getLocalData () {
        alert(UE.getEditor('editor').execCommand( "getlocaldata" ));
    }

    function clearLocalData () {
        UE.getEditor('editor').execCommand( "clearlocaldata" );
        alert("已清空草稿箱")
    }

</script>
@endsection