<?php

namespace Modules\InventoryReset\Entities;

use Illuminate\Database\Eloquent\Model;
use App\BusinessLocation as Branch;
use App\Variation;
use Modules\InventoryReset\Entities\InventoryReset;

class InventoryResetProducts extends Model
{
    protected $guarded = ['id']; 
    protected $table = 'reset_inventory_products';

    public function branch()
    {
        return $this->belongsTo(Branch::class , "branch_id");
    }    

    public function inventory()
    {
        return $this->belongsTo(InventoryReset::class , "branch_id");
    }    
    
    public function transaction()
    {
        return $this->belongsTo('App\Transaction', 'transaction_id');
    }    

    public function variation()
    {
        return $this->belongsTo(Variation::class,'variation_id');
    }


}
