<?php

namespace Modules\InventoryReset\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use App\Utils\ModuleUtil;
use Menu;

class DataController extends Controller
{    
    public function superadmin_package()
    {
        return [
            [
                'name' => 'inventoryreset_module',
                'label' => __('inventoryreset::app.remove_inv'),
                'default' => false
            ]
        ];
    }

    /**
      * Defines user permissions for the module.
      * @return array
      */
    public function user_permissions()
    {
        return [
            [
                'value' => 'inventoryreset.view',
                'label' => __('inventoryreset::app.view'),
                'default' => false
            ],
            [
                'value' => 'inventoryreset.reset',
                'label' => __('inventoryreset::app.remove_inv'),
                'default' => false
            ],
      
        ];
    }

    /**
    * Function to add module taxonomies
    * @return array
    */
    public function addTaxonomies()
    {
        $business_id = request()->session()->get('user.business_id');

        $module_util = new ModuleUtil();
        if (!(auth()->user()->can('superadmin') || $module_util->hasThePermissionInSubscription($business_id, 'inventoryreset_module'))) {
            return ['wallet' => []];
        }
        
        return [
            'wallet' => [
                'taxonomy_label' =>  __('inventoryreset::app.manage'),
                'heading' => __('inventoryreset::app.manage'),
                'sub_heading' => __('inventoryreset::app.manage'),
                'enable_taxonomy_code' => false,
                'enable_sub_taxonomy' => false,
                'navbar' => 'inventoryreset::layouts.nav'
            ]
        ];
    }

    /**
     * Adds Repair menus
     * @return null
     */
    public function modifyAdminMenu()
    {
        $business_id = session()->get('user.business_id');
        $module_util = new ModuleUtil();
        $is_inventoryreset_enabled = (boolean)$module_util->hasThePermissionInSubscription($business_id, 'inventoryreset_module');
        $background_color = '';
        if (config('app.env') == 'demo') {$background_color = '#7FBF7B  !important';}

       
        

        if ($is_inventoryreset_enabled && (auth()->user()->can('superadmin') || auth()->user()->can('inventoryreset.view'))) {

            $menuparent = Menu::instance('admin-sidebar-menu');
    
            $menuparent->url (
                action('\Modules\InventoryReset\Http\Controllers\InventoryResetController@index'),
                __('inventoryreset::app.reset_inventory'), 
            
            //                 function ($sub) use ($background_color){
            //                 '';
            //                     // $sub->url(action('\Modules\InventoryReset\Http\Controllers\InventoryResetController@dashboard'),
            //                     // __('inventoryreset::app.main facade'),
            //                     // ['icon' => 'fas fa fa-boxes', 
            //                     // 'active' => request()->segment(2) == 'dashboard',
            //                     //  'style' => 'background-color:'.$background_color]);


            // },
            
            ['icon' => 'fa fa-minus-circle', 'style' => "background-color:$background_color"]
            )->order(23);
        }
    }


}
